#!/bin/bash

# So gottengeography.pot is autogenerated by intltool-update, but it isn't
# smart enough to remember my name, email, or package name (etc) each time,
# and I'm sick of copy & pasting that information every time I change a string
# in the program. You can think of this script as a macro that just fills in
# the basic details so that I don't have to copy & paste my name and email
# address every time the file changes.

DATES=$(echo $(seq 2010 $(date +%Y)))

. ../gg/version.py

intltool-update -r *.po -g $PACKAGE

mv $PACKAGE.pot temp.pot

cat <<EOF > $PACKAGE.pot
# $APPNAME translation template.
# Copyright (C) $DATES $AUTHOR
# This file is distributed under the same license as the $APPNAME package.
# $AUTHOR <$EMAIL>, $DATES
#
#, fuzzy
msgid ""
msgstr ""
"Project-Id-Version: $PACKAGE $VERSION\n"
"Report-Msgid-Bugs-To: $AUTHOR <$EMAIL>\n"
EOF

tail -n +11 temp.pot >> $PACKAGE.pot

rm temp.pot
